import { OnDestroy, OnInit } from '@angular/core';
import { StatusBarCfgNames } from '../../../interface/status-bar-cfg-names.interface';
import { TransactionLineBaseComponent } from '../../core/base/transaction-line-base.component';
import { LineDiscountCfgNames } from '../../../interface/line-discount-cfg-names.interface';
export declare class TransactionPickedLineComponent extends TransactionLineBaseComponent implements OnInit, OnDestroy {
    private _subscriptions;
    transactionLinePickedCompleted: boolean;
    lineIndex: number;
    showClass(): boolean;
    statusBarConfigNames: StatusBarCfgNames;
    discountConfigNames: LineDiscountCfgNames;
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected transactionLineSet(): void;
}
